(defun dotspacemacs/user-config ()
  "Configuration function for user code.
This function is called at the very end of Spacemacs initialization after
layers configuration.
This is the place where most of your configurations should be done. Unless it is
explicitly specified that a variable should be set before a package is loaded,
you should place your code here."
  (editorconfig-mode 1)

  ;; neotree
  (setq neo-smart-open t)
  (setq neo-theme (if (display-graphic-p) 'icons 'arrow))
  (setq neo-vc-integration '(face))

  ;; typescript mode
  (add-to-list 'auto-mode-alist '("\\.tsx\\'" . typescript-mode))
)
